Bug 10513 - malloc.c error
Summary: malloc.c error
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-02 04:03 UTC by prmiyas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 15:40:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description prmiyas 2000-04-02 04:03:22 UTC
I have noticed that sometimes when I compile a c++ program and run it I get
a segmentation fault.  then I run gdb at it points me to malloc.c.
However, the same code recompiled on Mandrake or Dec Unix runs fine.  I
think there is a problem with memory handling.  Thanks

Comment 1 Doug Ledford 2000-04-22 07:20:59 UTC
This doesn't sound like a kernel issue, it's more likely a glibc or user space
program issue.

Comment 2 Cristian Gafton 2000-05-22 15:40:59 UTC
assigned to dledford

Comment 3 Alan Cox 2000-08-08 20:45:39 UTC
THis appears to be a user app that is broken and depends on the randomness of
memory misuse. Not kernel



Note You need to log in before you can comment on or make changes to this bug.